            #GIT_CMT=9e2c6a85f8e844d6d14b88525ca46144410d88a6

%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%global _name		runc
%global package_name	github.com/opencontainers/%{_name}
%global golang_version	1.17.12
%global commit0		51d5e94
# Bumped epoch to 3 so as to allow upgrade from 1.0.0-92.rc92.el7
# while maintianing our typical and preferred RPM naming convention.
Epoch:          3
Name:           %{_name}
Version:        1.1.12
Release:        1%{?dist}
Summary:        CLI for running Open Containers
License:        Apache 2.0
Url:            https://github.com/opencontainers/runc.git
Vendor:         Oracle America
ExclusiveArch:	aarch64 %{arm} ppc64le s390x x86_64 %{ix86}
Source: runc-1.1.12.tar.bz2

%ifnarch %{ix86}
Requires:	criu
%endif
Requires(pre):	container-selinux >= 2:2.77
BuildRequires:  golang >= %{golang_version}
BuildRequires:	openssl-devel
BuildRequires:	git
BuildRequires:	go-md2man
BuildRequires:	libseccomp-devel

%description
The runc command can be used to start containers which are packaged
in accordance with the Open Container Initiative's specifications,
and to manage containers running under runc.

%prep
%setup -q -n %{name}-%{version}

%build
export GOPATH=$(go env GOPATH)
GOPATH_SRC=$GOPATH/src/%{package_name}
%__mkdir_p $GOPATH_SRC
%__rm -r $GOPATH_SRC
%__ln_s $PWD $GOPATH_SRC

pushd $GOPATH_SRC
cd ${GOPATH_SRC}
make COMMIT=%{commit0} BUILDTAGS="seccomp selinux nokmem" EXTRA_LDFLAGS="-s -w" all
sed -i '/\#\!\/bin\/bash/d' contrib/completions/bash/%{name}

# generate man pages
man/md2man-all.sh

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 755 %{name} %{buildroot}%{_bindir}
install -d -p %{buildroot}%{_mandir}/man8
install -p -m 644 man/man8/* %{buildroot}%{_mandir}/man8

# install bash completion
install -d -p %{buildroot}%{_datadir}/bash-completion/completions
install -p -m 0644 contrib/completions/bash/%{name} %{buildroot}%{_datadir}/bash-completion/completions

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%doc MAINTAINERS_GUIDE.md PRINCIPLES.md README.md CONTRIBUTING.md
%{_bindir}/%{name}
%{_mandir}/man8/%{name}*
%{_datadir}/bash-completion/completions/%{name}

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Wed Feb 7 2024 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.12-1
- Update runc to 1.1.12 [JIRA: OLDIS-30530]

* Mon Jan 8 2024 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.10-1
- Update runc to 1.1.10 [JIRA: OLDIS-30530]

* Wed Jul 26 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.7-1
- Update runc to 1.1.7 [JIRA: OLDIS-26930]

* Tue May 23 2023 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.6-1
- Update runc to 1.1.6 [JIRA: OLDIS-25589]

* Fri Nov 04 2022 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.4-1
- Update runc to 1.1.4 [JIRA: OLDIS-21183]

* Tue Sep 13 2022 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.3-1
- Update runc to 1.1.3 [JIRA: OLDIS-19685]

* Wed May 11 2022 Stoil Barzakov <stoil.barzakov@oracle.com> - 1.1.1-1
- Update runc to 1.1.1 [JIRA: OLDIS-17403]

* Mon Jan 17 2022 Evgeniy Budanov <evgeniy.budanov@oracle.com> - 1.0.2-1
- Update runc to 1.0.2 [JIRA: OLDIS-11866]

* Wed Jun 09 2021 michthom <michael.a.thompson@oracle.com> - 1.0.0-1.rc95
- Addresses CVE-2021-30465

